Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Class SnapshotScheduler

    java.lang.Object
      uchicago.src.sim.engine.SnapshotScheduler

All Implemented Interfaces:
  MediaScheduler

    public class SnapshotScheduler

extends java.lang.Object
implements MediaScheduler

Constructor Summary
`SnapshotScheduler(java.lang.String fileName, MediaProducer producer, java.lang.String name)`

Method Summary
`javax.swing.Action` | `getButtonAction()`
`java.lang.String` | `getName()`
`void` | `onButtonClick(java.lang.String name)`
`void` | `scheduleAtInterval(Schedule schedule, int interval)`
`void` | `scheduleAtPauseAndEnd(Schedule schedule)`
`void` | `setProducer(MediaProducer producer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnapshotScheduler

    public SnapshotScheduler(java.lang.String fileName,
                             MediaProducer producer,
                             java.lang.String name)

Method Detail

### setProducer

    public void setProducer(MediaProducer producer)

  Specified by:
    `setProducer` in interface `MediaScheduler`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `MediaScheduler`

### scheduleAtPauseAndEnd

    public void scheduleAtPauseAndEnd(Schedule schedule)

### scheduleAtInterval

    public void scheduleAtInterval(Schedule schedule,
                                   int interval)

### onButtonClick

    public void onButtonClick(java.lang.String name)

### getButtonAction

    public javax.swing.Action getButtonAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD